using System;
using NinjaTrader.Cbi;

internal sealed class Delegate339 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<OrderEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<OrderEventArgs> eventHandler_0, Delegate339 delegate339_1)
	{
		delegate339_1(object_0, eventHandler_0);
	}

	public extern Delegate339(object object_0, IntPtr intptr_0);

	static Delegate339()
	{
		Class10.smethod_13(typeof(Delegate339).TypeHandle);
	}

	internal static Delegate339 delegate339_0;
}
